<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'campaign',

    /*
     * Modules.
     */
    'modules'   => ['campaign'],

    
    'campaign'       => [
        'model' => [
            'model'                 => \Litecms\Campaign\Models\Campaign::class,
            'table'                 => 'campaigns',
            'presenter'             => \Litecms\Campaign\Repositories\Presenter\CampaignPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['imp_728_banner',  'imp_125_banner',  'clicks_purchased',  'clicks_delivered',  'ad_status'],
            'translatables'         => [],
            'upload_folder'         => 'campaign/campaign',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Campaign',
            'module'    => 'Campaign',
        ],

    ],
];
