<?php

namespace Litecms\Campaign\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampaignTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Campaign\Models\Campaign $campaign)
    {
        return [
            'id'                => $campaign->getRouteKey(),
            'key'               => [
                'public'    => $campaign->getPublicKey(),
                'route'     => $campaign->getRouteKey(),
            ], 
            'imp_728_banner'    => $campaign->imp_728_banner,
            'imp_125_banner'    => $campaign->imp_125_banner,
            'clicks_purchased'  => $campaign->clicks_purchased,
            'clicks_delivered'  => $campaign->clicks_delivered,
            'ad_status'         => $campaign->ad_status,
            'url'               => [
                'public'    => trans_url('campaign/'.$campaign->getPublicKey()),
                'user'      => guard_url('campaign/campaign/'.$campaign->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campaign->status),
            'created_at'        => format_date($campaign->created_at),
            'updated_at'        => format_date($campaign->updated_at),
        ];
    }
}